# GET /v1/sessions/{session_id}/git/log

Source: <https://everruns.com/docs/api/operations/log/>

GET

/v1/sessions/{session\_id}/git/log

Select code samplecURL (shell:curl)

```js
const url = 'https://app.everruns.com/api/v1/sessions/example/git/log';
const options = {method: 'GET'};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```sh
curl --request GET \
  --url https://app.everruns.com/api/v1/sessions/example/git/log
```

* Production APIapp.everruns.com/api/v1/sessions/{session\_id}/git/log

## Parameters

### Path Parameters

**session\_id**

required

string

Session ID

### Query Parameters

**ref**

string

Ref to start from (default: HEAD)

**limit**

integer

Max commits (default: 50)

## Responses

### 200

Commit log

Media typeapplication/json

Array\<object>

A commit entry in the log

object

**author\_email**

required

Author email from the commit.

string

**author\_name**

required

Author display name from the commit.

string

**message**

required

Commit message as authored.

string

**oid**

required

Full git object identifier (40-char hex SHA-1).

string

**parent\_oids**

required

Parent commit object identifiers. Length 0 for the initial commit, 1 for ordinary commits, 2+ for merge commits.

Array\<string>

**timestamp**

required

Commit timestamp (RFC 3339, normalised to UTC).

string format: date-time

##### Examplegenerated

```json
[
  {
    "author_email": "example",
    "author_name": "example",
    "message": "example",
    "oid": "example",
    "parent_oids": [
      "example"
    ],
    "timestamp": "2026-04-15T12:00:00Z"
  }
]
```

### 404

Session or ref not found